## org.apache.batik.dom.svg
Class AbstractSVGLengthList.SVGLengthItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGLength
          org.apache.batik.dom.svg.AbstractSVGLengthList.SVGLengthItem

All Implemented Interfaces:
  SVGItem, SVGLength

Enclosing class:
  AbstractSVGLengthList

protected class AbstractSVGLengthList.SVGLengthItem
extends AbstractSVGLength
implements SVGItem

Representation of the item SVGLength.

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`AbstractSVGLength.DefaultContext`

Field Summary
`protected AbstractSVGList` `parentList` SVGLengthList this item belongs to.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`context, direction, HORIZONTAL_LENGTH, OTHER_LENGTH, UNITS, unitType, value, VERTICAL_LENGTH`

Fields inherited from interface org.w3c.dom.svg.SVGLength
`SVG_LENGTHTYPE_CM, SVG_LENGTHTYPE_EMS, SVG_LENGTHTYPE_EXS, SVG_LENGTHTYPE_IN, SVG_LENGTHTYPE_MM, SVG_LENGTHTYPE_NUMBER, SVG_LENGTHTYPE_PC, SVG_LENGTHTYPE_PERCENTAGE, SVG_LENGTHTYPE_PT, SVG_LENGTHTYPE_PX, SVG_LENGTHTYPE_UNKNOWN`

Constructor Summary
`AbstractSVGLengthList.SVGLengthItem(short type, float value, short direction)` Default Constructor.

Method Summary
`protected SVGOMElement` `getAssociatedElement()` Return the SVGElement associated to this length.
`AbstractSVGList` `getParent()` Return the list the item belongs to.
`protected void` `reset()` When the SVGLength changes, notify its parent.
`void` `setParent(AbstractSVGList list)` Associates an item to an SVGXXXList

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`convertToSpecifiedUnits, getUnitType, getValue, getValueAsString, getValueInSpecifiedUnits, newValueSpecifiedUnits, parse, revalidate, setValue, setValueAsString, setValueInSpecifiedUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.svg.SVGItem
`getValueAsString`

Field Detail

### parentList

    protected AbstractSVGList parentList

  SVGLengthList this item belongs to.

Constructor Detail

### AbstractSVGLengthList.SVGLengthItem

    public AbstractSVGLengthList.SVGLengthItem(short type,
                                               float value,
                                               short direction)

  Default Constructor.

Method Detail

### getAssociatedElement

    protected SVGOMElement getAssociatedElement()

  Description copied from class: `AbstractSVGLength`
  Return the SVGElement associated to this length.

  Specified by:
    `getAssociatedElement` in class `AbstractSVGLength`

### setParent

    public void setParent(AbstractSVGList list)

  Associates an item to an SVGXXXList

  Specified by:
    `setParent` in interface `SVGItem`
  Parameters:
    `list` - list the item belongs to.

### getParent

    public AbstractSVGList getParent()

  Return the list the item belongs to.

  Specified by:
    `getParent` in interface `SVGItem`
  Returns:
    list the item belongs to. This could be if the item belongs to no list.

### reset

    protected void reset()

  When the SVGLength changes, notify its parent.

  Overrides:
    `reset` in class `AbstractSVGLength`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.